searchNodes=[{"doc":"Provides functions for type converting","ref":"Transformer.html","title":"Transformer","type":"module"},{"doc":"Convert to float without error. If it cannot be converted, it returns a substitute. Examples iex&gt; Transformer . to_float_or ( 1 ) 1.0 iex&gt; Transformer . to_float_or ( 1.2 ) 1.2 iex&gt; Transformer . to_float_or ( &quot;2&quot; ) 2.0 iex&gt; Transformer . to_float_or ( &quot;a&quot; ) &quot;a&quot; iex&gt; Transformer . to_float_or ( &quot;a&quot; , nil ) nil iex&gt; Transformer . to_float_or ( &quot;a&quot; , &amp; { :error , &amp;1 } ) { :error , &quot;a&quot; }","ref":"Transformer.html#to_float_or/2","title":"Transformer.to_float_or/2","type":"function"},{"doc":"Divides a string and convert to integer list without error. If it cannot be converted, it returns a substitute. Examples iex&gt; Transformer . to_integer_list_or ( &quot;1&quot; ) [ 1 ] iex&gt; Transformer . to_integer_list_or ( &quot;1,2&quot; ) [ 1 , 2 ] iex&gt; Transformer . to_integer_list_or ( &quot;1,a&quot; ) [ 1 , &quot;a&quot; ] iex&gt; Transformer . to_integer_list_or ( &quot;1,a&quot; , nil ) [ 1 , nil ] iex&gt; Transformer . to_integer_list_or ( [ 1 , 2 ] ) [ 1 , 2 ] iex&gt; Transformer . to_integer_list_or ( [ &quot;a&quot; , 2 ] , &amp; { :error , &amp;1 } ) [ { :error , &quot;a&quot; } , 2 ]","ref":"Transformer.html#to_integer_list_or/3","title":"Transformer.to_integer_list_or/3","type":"function"},{"doc":"Convert to integer without error. If it cannot be converted, it returns a substitute. Examples iex&gt; Transformer . to_integer_or ( 1 ) 1 iex&gt; Transformer . to_integer_or ( &quot;2&quot; ) 2 iex&gt; Transformer . to_integer_or ( &quot;a&quot; ) &quot;a&quot; iex&gt; Transformer . to_integer_or ( &quot;a&quot; , nil ) nil iex&gt; Transformer . to_integer_or ( &quot;a&quot; , &amp; { :error , &amp;1 } ) { :error , &quot;a&quot; }","ref":"Transformer.html#to_integer_or/2","title":"Transformer.to_integer_or/2","type":"function"},{"doc":"Transformer is lightweight library that helps with flexible type conversion.","ref":"readme.html","title":"Transformer","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding transformer to your list of dependencies in mix.exs : def deps do [ { :transformer , &quot;~&gt; 0.0.1&quot; } ] end","ref":"readme.html#installation","title":"Transformer - Installation","type":"extras"},{"doc":"Convert to integer without error. If it cannot be converted, it returns a substitute. iex&gt; Transformer . to_integer_or ( 1 ) 1 iex&gt; Transformer . to_integer_or ( &quot;2&quot; ) 2 iex&gt; Transformer . to_integer_or ( &quot;a&quot; ) &quot;a&quot; iex&gt; Transformer . to_integer_or ( &quot;a&quot; , nil ) nil iex&gt; Transformer . to_integer_or ( &quot;a&quot; , &amp; &amp;1 &lt;&gt; &amp;1 ) &quot;aa&quot; Divides a string and convert to integer list without error. If it cannot be converted, it returns a substitute. iex&gt; Transformer . to_integer_list_or ( &quot;1&quot; ) [ 1 ] iex&gt; Transformer . to_integer_list_or ( &quot;1,2&quot; ) [ 1 , 2 ] iex&gt; Transformer . to_integer_list_or ( &quot;1,a&quot; ) [ 1 , &quot;a&quot; ] iex&gt; Transformer . to_integer_list_or ( &quot;1,a&quot; , nil ) [ 1 , nil ] iex&gt; Transformer . to_integer_list_or ( [ 1 , 2 ] ) [ 1 , 2 ] iex&gt; Transformer . to_integer_list_or ( [ &quot;a&quot; , 2 ] , nil ) [ nil , 2 ]","ref":"readme.html#usage","title":"Transformer - Usage","type":"extras"},{"doc":"Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/transformer .","ref":"readme.html#documentation","title":"Transformer - Documentation","type":"extras"},{"doc":"Copyright 2022 ByeongUk Choi Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"readme.html#license","title":"Transformer - License","type":"extras"}]